Automation
List automation rules
GET
/
api
/
v1
/
automation
/
rules
List automation rules
curl --request GET \
--url https://api.linebundle.com/api/v1/automation/rulesimport requests
url = "https://api.linebundle.com/api/v1/automation/rules"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.linebundle.com/api/v1/automation/rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.linebundle.com/api/v1/automation/rules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.linebundle.com/api/v1/automation/rules"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.linebundle.com/api/v1/automation/rules")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.linebundle.com/api/v1/automation/rules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"items": [
{
"actions": [
{}
],
"conditions": {},
"created_at": "2023-11-07T05:31:56Z",
"created_by_kind": "<string>",
"creator_id": "<string>",
"enabled": true,
"id": "<string>",
"name": "<string>",
"priority": 123,
"scope": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version": 123,
"$schema": "https://api.linebundle.com/schemas/Rule.json",
"description": "<string>",
"org_id": "<string>",
"schedule": {
"cron_expression": "<string>",
"event_type": "<string>"
},
"scope_id": "<string>"
}
],
"page": 123,
"size": 123,
"total": 123,
"$schema": "https://api.linebundle.com/schemas/PagedBodyRule.json"
}{
"$schema": "https://api.linebundle.com/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Query Parameters
Page number (1-based)
Required range:
x >= 1Items per page
Required range:
1 <= x <= 100Filter by scope type (EVENT, SPACE, CONTACT, GLOBAL)
Filter by scope entity UUID
Filter by trigger event type (e.g. announcement.published)
Response
OK
List of results
Show child attributes
Show child attributes
Current page (1-based)
Page size
Total matching records
A URL to the JSON Schema for this object.
Example:
"https://api.linebundle.com/schemas/PagedBodyRule.json"
Last modified on June 11, 2026
⌘I
List automation rules
curl --request GET \
--url https://api.linebundle.com/api/v1/automation/rulesimport requests
url = "https://api.linebundle.com/api/v1/automation/rules"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.linebundle.com/api/v1/automation/rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.linebundle.com/api/v1/automation/rules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.linebundle.com/api/v1/automation/rules"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.linebundle.com/api/v1/automation/rules")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.linebundle.com/api/v1/automation/rules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"items": [
{
"actions": [
{}
],
"conditions": {},
"created_at": "2023-11-07T05:31:56Z",
"created_by_kind": "<string>",
"creator_id": "<string>",
"enabled": true,
"id": "<string>",
"name": "<string>",
"priority": 123,
"scope": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version": 123,
"$schema": "https://api.linebundle.com/schemas/Rule.json",
"description": "<string>",
"org_id": "<string>",
"schedule": {
"cron_expression": "<string>",
"event_type": "<string>"
},
"scope_id": "<string>"
}
],
"page": 123,
"size": 123,
"total": 123,
"$schema": "https://api.linebundle.com/schemas/PagedBodyRule.json"
}{
"$schema": "https://api.linebundle.com/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}